@echo off
cls
echo.
echo IMPERIUM ROMANUM V 2.0 
echo.
echo This batchfile generates the correct game files for the Human controlled civ.
echo (please read the ReadMe.RTF under Installation for more informations)
echo.

:main
echo.
echo.
echo 1. Install the pedia.txt for the FW version
echo 2. Install the pedia.txt for the MGE version
echo.
echo 3. Scenario setup for the Romans, game start
echo 4. Scenario setup for the Romans, 272BC
echo 5. Scenario setup for the Romans, 146BC
echo 6. Scenario setup for the Romans, 27BC
echo.
echo 7. Quit without changes
echo.
echo.
CHOICE /c:1234567 Please choose an option

if errorlevel 7 goto done
if errorlevel 6 goto Opt6
if errorlevel 5 goto Opt5
if errorlevel 4 goto Opt4
if errorlevel 3 goto Opt3
if errorlevel 2 goto Opt2
if errorlevel 1 goto Opt1

:Opt1
echo.
echo Installing FW pedia...
copy PEDIAFW.ger pedia.txt
goto main

:Opt2
echo.
echo Installing MGE pedia...
copy PEDIAMGE.ger pedia.txt
goto main


:Opt3
echo.
echo Romans, scenario start
copy EventsR1.ger events.txt
copy RulesR1.ger rules.txt
copy Units1.bmp units.bmp
goto done

:Opt4
echo.
echo Romans, 272BC
copy EventsR2.ger events.txt
copy RulesR2.ger rules.txt
copy Units2.bmp units.bmp
DELEVENT ca_b272.SAV
goto done

:Opt5
echo.
echo Romans, 146BC
copy EventsR3.ger events.txt
copy RulesR3.ger rules.txt
copy Units3.bmp units.bmp
DELEVENT ca_b146.SAV
goto done

:Opt6
echo.
echo Romans, 27BC
copy EventsR4.ger events.txt
copy RulesR4.ger rules.txt
copy Units4.bmp units.bmp
DELEVENT  ca_b27.SAV
goto done

:done
echo.
exit
quit